<?php
/**
 * HTML5 Template
 * @version 1.5 stable $Id: category.php 0001 2012-09-23 14:00:28Z Rehne $
 * @package Joomla
 * @subpackage FLEXIcontent
 * @copyright (C) 2009 Emmanuel Danan - www.vistamedia.fr
 * @license GNU/GPL v2
 * 
 * FLEXIcontent is a derivative work of the excellent QuickFAQ component
 * @copyright (C) 2008 Christoph Lukes
 * see www.schlu.net for more information
 *
 * FLEXIcontent is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 */
defined( '_JEXEC' ) or die( 'Restricted access' );

$page_classes  = '';
$page_classes .= $this->pageclass_sfx ? 'page'.$this->pageclass_sfx : '';
$page_classes .= 'cat'.$this->category->id;

/***** Template specific Params *****/
// USE HTML5 or XHTML
$html5			= $this->params->get('htmlmode', 0); // 0 = XHTML , 1 = HTML5
// HTML5 tags
$sectionTag = $articleTag = $asideTag = $headerTag = $footerTag = $figureTag = 'div';
if ($html5) { 
	$sectionTag = 'section';
	$articleTag = 'article';
	$asideTag 	= 'aside';
	$headerTag 	= 'header'; 
	$footerTag 	= 'footer'; 
	$figureTag 	= 'figure';
}
$mainAreaTag = ( ( $this->params->get( 'show_page_heading', 1 ) || $this->params->get('show_cat_title', 1) ) ? $sectionTag : 'div');
?>

<?php echo '<'.$mainAreaTag; ?> id="flexicontent" class="flexicontent <?php echo $page_classes; ?> group" >

	<?php /* BOF buttons */ 
	if ( $this->params->get('show_print_icon')
		|| $this->params->get('show_email_icon')
		|| JRequest::getCmd('print')
		|| $this->params->get('show_feed_icon', 1)
		) 
	{ ?>
	<p class="buttons">
		<?php echo flexicontent_html::printbutton( $this->print_link, $this->params ); ?>
		<?php echo flexicontent_html::mailbutton( 'category', $this->params, $this->category->slug ); ?>
		<?php echo flexicontent_html::feedbutton( 'category', $this->params, $this->category->slug ); ?>
	</p>
	<?php /* EOF buttons */ 
	} ?>

	<?php /* BOF page title */ 
	if ($this->params->get('show_page_heading', 1)) : ?>
    <header class="group">
		<h1 class="componentheading">
			<?php echo $this->params->get( 'page_heading' ) ?>
		</h1>
	<?php /* EOF page title */
	endif; ?>

	<?php /* BOF author description */
	if (@$this->authordescr_item_html) :
		echo $this->authordescr_item_html;
	/* EOF author description */
	endif; ?>

	<?php if ($this->params->get('show_page_heading', 1)) echo '</header>'."\n"; ?>


	<?php /* BOF category & sub-categories info  */
    if ( $this->category->id > 0) : /* Category specific data e.g. not available for -author- category view */ ?>

		<?php /* BOF category info  */
		// Only show this part if some category info is to be printed
		if (
			$this->params->get('show_cat_title', 1) ||
			($this->params->get('show_description_image', 1) && $this->category->image) ||
			($this->params->get('show_description', 1) && $this->category->description)
		) :
			if ( $this->params->get( 'show_page_heading', 1 ) && $this->params->get('show_cat_title', 1) ) echo '<section class="group">'."\n";
			echo $this->loadTemplate('category');
		endif;
		/* EOF category info  */ ?>
	
		<?php /* BOF sub-categories info */
		// Only show this part if subcategories are available
		if ( count($this->categories) && $this->params->get('show_subcategories') ) :
			echo $this->loadTemplate('subcategories');
		endif;
		/* EOF sub-categories info */ ?>
        
	<?php /* BOF category & sub-categories info  */
    endif; ?>

	<?php if ( $this->params->get( 'show_page_heading', 1 ) && $this->params->get('show_cat_title', 1) ) echo '</section>'."\n"; ?>

	<?php /* BOF item list display */ ?>
	<?php echo $this->loadTemplate('items'); ?>
	<?php /* EOF item list display */ ?>

	<?php /* EOF pagination */ 
	if ($this->params->get('show_pagination', 2) != 0) : ?>
	<div class="pageslinks">
		<?php echo $this->pageNav->getPagesLinks(); ?>
	</div>

	<?php if ($this->params->get('show_pagination_results', 1)) : ?>
	<p class="pagescounter">
		<?php echo $this->pageNav->getPagesCounter(); ?>
	</p>
	<?php endif; ?>
	<?php /* EOF pagination */ 
	endif; 
	?>

<?php echo '</'.$mainAreaTag.'>'."\n"; ?>